---
lang: en
title: 'API docs: filter.filterbuilder.limit'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/filter
permalink: /doc/en/lb4/apidocs.filter.filterbuilder.limit.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/filter](./filter.md) &gt; [FilterBuilder](./filter.filterbuilder.md) &gt; [limit](./filter.filterbuilder.limit.md)

## FilterBuilder.limit() method

Set `limit`

<b>Signature:</b>

```typescript
limit(limit: number): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  limit | number | Maximum number of records to be returned |

<b>Returns:</b>

this


